Batch Execute Slo
curl --request POST \
--url https://api.coralogix.com/mgmt/openapi/3/v1/slo/slos:batchExecute \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/3/v1/slo/slos:batchExecute"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/3/v1/slo/slos:batchExecute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"matchingResponses": [
{
"createSloResponse": {
"slo": {
"name": "Example Slo Name",
"targetThresholdPercentage": 99.999,
"createTime": "2023-11-07T05:31:56Z",
"creator": "test@domain.com",
"description": "A brief description of my SLO",
"grouping": {
"labels": [
"<string>"
]
},
"id": "b11919d5-ef85-4bb1-8655-02640dbe94d9",
"labels": {},
"requestBasedMetricSli": {
"goodEvents": {
"query": "sum(rate(http_requests_total{status=\"200\"}[5m]))"
},
"totalEvents": {
"query": "sum(rate(http_requests_total{status=\"200\"}[5m]))"
}
},
"revision": {
"revision": 1,
"updateTime": "2023-11-07T05:31:56Z"
},
"type": "request",
"updateTime": "2023-11-07T05:31:56Z"
}
}
}
],
"status": {
"details": {},
"message": "<string>"
}
}SLOs Service
Batch Execute Slo
No description available
Batch Execute Slo
Authorizations
API key authentication
Query Parameters
Request for executing an SLO operation.
- SloExecutionRequest
- SloExecutionRequest
- SloExecutionRequest
Show child attributes
Show child attributes
Response
Response containing the results of batch executed SLO operations.
Was this page helpful?
⌘I